Version:	0.5.4
Name:		qxplayer
Release:	alt1
Summary:	Simple qt4-based music player
License: 	GPL
Group: 		Sound
Url:		http://qxplayer.org
Source0:	http://qxplayer.org/files/%name-%version.tar.gz
Source1:	qxplayer_Ukrainian.ts
Source2:	%name.desktop

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

# Automatically added by buildreq on Sun Jul 06 2008 (-bi)
BuildRequires: ImageMagick gcc-c++ libqt4-devel libqt4-network libtag-devel libxine-devel

%description
Simple qt4-based music player 
Uses:
Qt4, Xine-lib, TagLib

%prep
%setup -q
rm -rf tr/qxplayer_Ukrainian.ts
%__install %SOURCE1 tr/qxplayer_Ukrainian.ts

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%__install -Dp -m0755 bin/%name %buildroot%_bindir/%name
%__install -Dp -m0644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

# Icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 images/juk.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 images/juk.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 images/juk.png %buildroot%_miconsdir/%name.png

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files
%_bindir/*
%_desktopdir/*
%_niconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Sun Jul 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.5.4-alt1
- build for Sisyphus

* Sat Mar 31 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.4-alt0.M24.1
- new version
- update Ukrainian translation

* Mon Mar 19 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.3-alt0.20070320.M24.1
- new svn snapshot (wav & wma support are added)

* Sat Mar 17 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.3-alt0.M24.1
- new fix-version

* Wed Mar 14 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.2-alt0.M24.1
- new version
- cleanup BuildRequires
- add to Requires libtag >= 1.4
- fix URL (The author has already created the site)

* Sun Mar 04 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.1-alt0.M24.1
- new version

* Sat Mar 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5-alt0.M24.1
- initial build for ALT Linux 2.4 Master
